Package org.opensaml.soap.wspolicy

# Interface ExactlyOne

All Superinterfaces:
  `OperatorContentType`, `WSPolicyObject`, `XMLObject`

All Known Implementing Classes:
  `ExactlyOneImpl`

public interface ExactlyOne extends OperatorContentType
The wsp:ExactlyOne element.

See Also:
  - "WS-Policy (http://schemas.xmlsoap.org/ws/2004/09/policy)"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.

### Fields inherited from interface org.opensaml.soap.wspolicy.OperatorContentType

`TYPE_LOCAL_NAME, TYPE_NAME`

## Method Summary

### Methods inherited from interface org.opensaml.soap.wspolicy.OperatorContentType

`getAlls, getExactlyOnes, getPolicies, getPolicyReferences, getXMLObjects, getXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.